/// <reference types="react" />
import { BaseDataControl } from "./BaseDataControl";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare enum ListEntryType {
    LIST = "LIST",
    TEXT = "TEXT"
}
export declare class XListEntry extends BaseDataControl {
    mode: ListEntryType;
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getItems(): string[];
}
